summaryrefslogtreecommitdiff
path: root/travis.sh
diff options
context:
space:
mode:
authorHaru <haru@dotalux.com>2016-06-18 01:16:59 +0200
committerHaru <haru@dotalux.com>2016-06-25 17:29:52 +0200
commit98c11df06659aac8fff6f04915043c6eebaf2c6f (patch)
tree5857c1227de023c98b37092ac97ac0e17d872c64 /travis.sh
parent9d3cab59ed1fd4825b4aeac0c354363bb6782212 (diff)
downloadhercules-98c11df06659aac8fff6f04915043c6eebaf2c6f.tar.gz
hercules-98c11df06659aac8fff6f04915043c6eebaf2c6f.tar.bz2
hercules-98c11df06659aac8fff6f04915043c6eebaf2c6f.tar.xz
hercules-98c11df06659aac8fff6f04915043c6eebaf2c6f.zip
Show the config.log file when the configure script fails on travis
Signed-off-by: Haru <haru@dotalux.com>
Diffstat (limited to 'travis.sh')
-rwxr-xr-xtravis.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/travis.sh b/travis.sh
index 051c632d5..b1f639935 100755
--- a/travis.sh
+++ b/travis.sh
@@ -75,7 +75,7 @@ case "$MODE" in
;;
build)
(cd tools && ./validateinterfaces.py silent) || aborterror "Interface validation error."
- ./configure $@ || aborterror "Configure error, aborting build."
+ ./configure $@ || (cat config.log && aborterror "Configure error, aborting build.")
make sql -j3 || aborterror "Build failed."
make plugin.script_mapquit -j3 || aborterror "Build failed."
;;